<!DOCTYPE HTML>
 <html lang="pt-br" ng-app="CadClientes">
<head>
    <meta charset="utf-8"/>
    <meta content="width=device-width, initial-scale=1, maximum-scale=1" name="viewport">
    <script src="angular-1.7.8/angular.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	<link rel="stylesheet" href="css/style.css" >

    <script src="js/script.js"></script>


</head>
<body ng-controller="CadClienteCtrl">
	<div class="jumbotron">
		<h1 ng-bind="message">  </h1>

		<input type="text" ng-model="Buscar" placeholder="Busque Aqui" class="form-control"  >
		<form name="clienteForm">
		<table ng-show="clientes.length " class="table">
			<tr>
				<th></th>
				<th>Código</th>
				<th>Nome</th>
				<th>Tipo Cliente</th>
				
			</tr>
			<tr ng-class="{'selecionado negrito: cliente.selecionado}" ng-repeat="cliente in clientes | filter: Buscar | orderBy: 'codigo' ">
				<td> <input type="checkbox" ng-model="cliente.selecionado" > </td>
				<td>{{cliente.codigo }}</td>
				<td>{{cliente.nome | uppercase}}</td>
				<td>{{cliente.tipo}}</td>
				
			</tr>

		</table>
		<hr>
		<form name="clienteForm">
			<input class="form-control" type="text"  ng-model="cliente.nome" ng-required="true" placeholder="Nome">
			<input class="form-control" type="text" ng-model="cliente.codigo" placeholder="Código" ng-required="true">
			<select ng-model="cliente.tipo" class="form-control" ng-required="true">
				<option value="" > Selecione tipo de cliente </option>
				<option  ng-repeat="tcliente in tipoCliente"  value="{{tcliente.tipo}}" > {{tcliente.tipo}} </option>
				
			</select>
		</form>
		<button ng-disabled="clienteForm.$invalid" ng-click="adicionarCliente(cliente)" class="btn btn-primary btn-block" > Adicionar </button>

		<button  ng-show="temClienteSelecionado(clientes)" ng-click="apagarCliente(clientes)" class="btn btn-danger btn-block" > Apagar </button>

	</div>

</body>
</html>